Update voice profile
curl --request PATCH \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/voice-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "en",
"voice_uuid": "16a8b0dd-3a15-4e39-8cc0-384196da952b"
}
'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/voice-profile"
payload = {
"language": "en",
"voice_uuid": "16a8b0dd-3a15-4e39-8cc0-384196da952b"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({language: 'en', voice_uuid: '16a8b0dd-3a15-4e39-8cc0-384196da952b'})
};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/voice-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Voice profile updated successfully",
"data": {
"language": "en",
"voice_uuid": "16a8b0dd-3a15-4e39-8cc0-384196da952b",
"voice_name": "Elegant Narrator"
}
}Agents
Update voice profile
Updates the spoken language and/or the selected voice. The voice is chosen by its uuid from the voice library; changing it changes which fields GET /voice-advanced returns.
PATCH
/
api
/
v1
/
agents
/
{uuid}
/
voice-profile
Update voice profile
⌘I